curl --request GET \
--url https://api.synctera.com/v2/fee_configs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/fee_configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/fee_configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fee_configs": [
{
"amount_config": {
"amount_type": "fixed",
"config": {
"fixed_amount": {
"amount": 300
},
"percentage": {
"basis_points": 300
},
"transaction_amount_tiered": {
"tiers": [
{
"amount_type": "fixed",
"config": {
"fixed_amount": {
"amount": 300
},
"percentage": {
"basis_points": 300
}
},
"up_to": 10000
}
]
}
}
},
"fee_category": "ach:outgoing",
"name": "ACH Outgoing Debit Fee",
"status": "active",
"creation_time": "2024-01-15T10:00:00Z",
"id": "5c943c51-e4ff-4e57-9558-08cab6b96398",
"last_updated_time": "2024-06-01T12:00:00Z",
"tenant": "abcdef_ghijkl",
"description": "Charged when an ACH debit is initiated",
"in_auth": false,
"respect_balance_checks": false,
"reverse_with_parent": true,
"rule_config": {
"foreign_transaction": {
"home_country_code": "US"
},
"mcc_based": {
"mcc_ranges": [
{
"lower": "5411",
"upper": "5499"
}
]
},
"schedule_monthly_if_below_minimum": {
"minimum_balance": 10000
}
},
"template_id": "8b943c51-e4ff-4e57-9558-08cab6b96234"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}List fee configs
Get a paginated list of all fee configs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
Case insensitive wildcard search for description, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.
The category of event that triggers or schedules this fee. Trigger-based categories (ach:, wire:, card:, account:) fire when a matching transaction is posted. Scheduled categories (schedule:*) fire on a time-based cadence.
ach:outgoing, ach:outgoing_debit, ach:outgoing_credit, ach:incoming, ach:outgoing_credit_return, ach:incoming_debit_return, ach:incoming_credit_return, wire:outgoing_domestic, wire:outgoing_international, wire:incoming, card:atm_withdrawal, card:atm_out_of_network, card:foreign_transaction, card:cash_advance, card:cash_advance_quasi_cash, card:cash_advance_gaming_betting, card:cash_advance_financial_services, card:mcc_based, account:overdraft, account:nsf, account:statement_paper, schedule:monthly, schedule:account_anniversary, schedule:daily_while_overdrawn, schedule:monthly_if_dormant, schedule:monthly_if_below_minimum Case insensitive wildcard search for fee_category, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.
Case insensitive wildcard search for name, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.
creation_time:asc, creation_time:desc, fee_category:asc, fee_category:desc active, inactive Case insensitive wildcard search for status, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.
Was this page helpful?

